rte_eth_fdir_filter(3)

NAME
rte_eth_fdir_filter

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint32_t soft_id
struct rte_eth_fdir_input input
struct rte_eth_fdir_action action

Detailed Description

A structure used to define the flow director filter entry.

Definition at line 340 of file rte_eth_ctrl.h.

Field Documentation

  uint32_t soft_id
ID, an unique value is required when deal with FDIR entry

Definition at line 341 of file rte_eth_ctrl.h.

  struct rte_eth_fdir_input input
Input set

Definition at line 343 of file rte_eth_ctrl.h.

  struct rte_eth_fdir_action action
Action taken when match

Definition at line 344 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.